Package com.io7m.idstore.server.controller.admin

# Class IdACommandContext

java.lang.Object
com.io7m.idstore.server.controller.command_exec.IdCommandContext<IdAResponseType,IdSessionAdmin>
com.io7m.idstore.server.controller.admin.IdACommandContext

public final class IdACommandContext extends IdCommandContext<IdAResponseType,IdSessionAdmin>
The command context for admin API commands.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACommandContext(com.io7m.repetoir.core.RPServiceDirectoryType inServices, UUID inRequestId, IdDatabaseTransactionType inTransaction, IdSessionAdmin inSession, String inRemoteHost, String inRemoteUserAgent, IdAdmin inAdmin)`
  The context for execution of a command (or set of commands in a transaction).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdAdmin`
  `admin()`

  ### Methods inherited from class com.io7m.idstore.server.controller.command_exec.IdCommandContext

  `fail, failDatabase, failExceptional, failFormatted, failMail, failPassword, failProtocol, failSecurity, failValidity, now, remoteHost, remoteUserAgent, requestId, securityCheck, services, session, toString, tracer, transaction`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdACommandContext

    public IdACommandContext(com.io7m.repetoir.core.RPServiceDirectoryType inServices, UUID inRequestId, IdDatabaseTransactionType inTransaction, IdSessionAdmin inSession, String inRemoteHost, String inRemoteUserAgent, IdAdmin inAdmin)
    The context for execution of a command (or set of commands in a transaction).
    Parameters:
      `inServices` - The service directory
      `inRequestId` - The request ID
      `inTransaction` - The transaction
      `inSession` - The user session
      `inRemoteHost` - The remote host
      `inRemoteUserAgent` - The remote user agent
      `inAdmin` - The admin

- ## Method Details

  - ### admin

    public IdAdmin admin()
    Returns:
      The admin executing the command.